|  | Home | Documentation | _array Struct Reference updated by Robert van Engelen |

Public Types | Public Member Functions | Public Attributes | List of all members
_array Struct Reference

Represents the <array> array of values element. More...

`#include <xml-rpc.h>`

Collaboration diagram for _array:
[legend]

## Public Types

typedef _array_iterator | iterator
typedef _array_const_iterator | const_iterator

## Public Member Functions

| _array ()
| _array (const struct _array &)
| _array (struct soap *)
| _array (struct soap *, int)
struct _array & | operator= (const struct _array &)
bool | empty () const
| true if array is empty
int | size () const
| number of array elements
void | size (int)
| (re)set number of array elements
struct value & | operator[] (int)
| array index (negative to get from end)
const struct value & | operator[] (int) const
| array index (negative to get from end)
_array_iterator | begin () const
| array iterator begin
_array_iterator | end () const
| array iterator end

## Public Attributes

struct data | data
| data with values
struct soap * | soap
| ref to soap struct that manages this type

## Detailed Description

Represents the <array> array of values element.

## Member Typedef Documentation

## ◆ const_iterator

typedef _array_const_iterator _array::const_iterator

## ◆ iterator

typedef _array_iterator _array::iterator

## Constructor & Destructor Documentation

## ◆ _array() [1/4]

_array::_array | ( |  | ) |

## ◆ _array() [2/4]

_array::_array | ( | const struct _array & |  | ) |

## ◆ _array() [3/4]

_array::_array | ( | struct soap * |  | ) |

## ◆ _array() [4/4]

_array::_array | ( | struct soap * | ,
|  | int | )

## Member Function Documentation

## ◆ begin()

_array_iterator _array::begin | ( |  | ) | const

array iterator begin

## ◆ empty()

bool _array::empty | ( |  | ) | const

true if array is empty

## ◆ end()

_array_iterator _array::end | ( |  | ) | const

array iterator end

## ◆ operator=()

struct _array & _array::operator= | ( | const struct _array & |  | ) |

## ◆ operator[]() [1/2]

struct value & _array::operator[] | ( | int |  | ) |

array index (negative to get from end)

## ◆ operator[]() [2/2]

const struct value & _array::operator[] | ( | int |  | ) | const

array index (negative to get from end)

## ◆ size() [1/2]

int _array::size | ( |  | ) | const

number of array elements

## ◆ size() [2/2]

void _array::size | ( | int |  | ) |

(re)set number of array elements

## Member Data Documentation

## ◆ data

struct data _array::data

data with values

## ◆ soap

struct soap* _array::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- xml-rpc.h